From b98eb51827a6ae5871ac65c459d7c0afec9a52e8 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 21:37:55 +0800
Subject: [PATCH 08/28] qemu_vm: change rombar from 0 to 1 for multiple network
 cards

After configuring 'rombar = 0', the virtual machines can't config multiple network cards.

The 'rombar = 0' is only suitable for old qemu(eg:qemu 1.0).

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 virttest/qemu_vm.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/virttest/qemu_vm.py b/virttest/qemu_vm.py
index 5819c8ca..1225a18e 100644
--- a/virttest/qemu_vm.py
+++ b/virttest/qemu_vm.py
@@ -606,7 +606,7 @@ class VM(virt_vm.BaseVM):
                 if 'aarch64' in params.get('vm_arch_name', arch.ARCH):
                     if "rombar" in devices.execute_qemu("-device %s,?"
                                                         % model):
-                        dev.set_param("rombar", 0)
+                        dev.set_param("rombar", 1)
             else:
                 dev = qdevices.QCustomDevice('net', backend='type')
                 dev.set_param('type', 'nic')
-- 
2.23.0

